Bug 844294 - VDSM - 3.1 beta1 - VM (with thin-provision disk) enter to “paused” state, during installation OS (SPM not extending the disk)
VDSM - 3.1 beta1 - VM (with thin-provision disk) enter to “paused” state, dur...
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
x86_64 Linux
urgent Severity urgent
: beta
: ---
Assigned To: Federico Simoncelli
: Regression, TestBlocker
Depends On:
  Show dependency treegraph
Reported: 2012-07-30 04:55 EDT by vvyazmin@redhat.com
Modified: 2012-12-04 14:04 EST (History)
14 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-26.0
Doc Type: Bug Fix
Doc Text:
Previously, a storage space error caused virtual machines on thin provision disks to enter a paused state during any operating system installation. This caused the installation to fail. This patch corrects the storage space error, allowing succesful installation of any operating system.
Story Points: ---
Clone Of:
Last Closed: 2012-12-04 14:04:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
## Logs vdsm, rhevm (6.89 MB, application/x-gzip)
2012-07-30 04:55 EDT, vvyazmin@redhat.com
no flags Details

  None (edit)
Description vvyazmin@redhat.com 2012-07-30 04:55:58 EDT
Created attachment 601157 [details]
## Logs vdsm, rhevm

Description of problem:
[engine-core] VM (with thin-provision disk) enter to “paused” state, during installation OS

Version-Release number of selected component (if applicable):
RHEVM 3.1 - SI12

RHEVM: rhevm-3.1.0-9.el6ev.noarch
VDSM: vdsm-4.9.6-24.0.el6_3.x86_64
LIBVIRT: libvirt-0.9.10-21.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-
SANLOCK: sanlock-2.3-3.el6_3.x86_64

How reproducible:

Steps to Reproduce:
1. Create iSCSI DC, attache 2 hosts
Host-A [SPM]
Host-B [HSM]
2. Create a VM with thin-provision disk on Host-B
3. Start install OS on current VM
Actual results:
During installation OS, VM enter to “paused” status
Error: VM VM-001 has paused due to no Storage space error.

Expected results:
Succeed install OS on VM

Additional info:
1. HSM send command extend disk during installation OS on VM with thin-provision disk
2. SMP not get tasks from HSM
3. Disk not extend
4. VM enter to “paused” state
Comment 2 Federico Simoncelli 2012-07-30 05:41:03 EDT
commit ef04b803058b13b86c2ad6816a47daa890b48497
Author: Federico Simoncelli <fsimonce@redhat.com>
Date:   Mon Jul 30 05:09:10 2012 -0400

    BZ#844294 Add requiresMailbox to StorageDomain
    Since commit 942c2dc the storage domain objects are all DomainProxy
    instances, but the method StoragePool.__createMailboxMonitor was still
    relying on identifying the object type to activate the HSM mailbox.
    Signed-off-by: Federico Simoncelli <fsimonce@redhat.com>
    Change-Id: If26f06102b2ca54ee6fdb2cd617302b0b1ccbea7

Comment 3 vvyazmin@redhat.com 2012-08-05 10:47:20 EDT
Verified on RHEVM 3.1 - SI13

RHEVM: rhevm-3.1.0-10.el6ev.noarch
VDSM: vdsm-4.9.6-26.0.el6_3.x86_64
LIBVIRT: libvirt-0.9.10-21.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-
SANLOCK: sanlock-2.3-3.el6_3.x86_64
Comment 7 errata-xmlrpc 2012-12-04 14:04:03 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.